@charset "UTF-8";

/* 商品検索（スマートフォン） ファーストビュー用 */

/* ----商品一覧画面：サムネイル：block-thumbnail-t---- */

.page-top .block-thumbnail-t {
  margin: 0 -15px;
}

.block-thumbnail-t--items {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  border-top: none;
  font-size: 0;
}

.page-top .block-thumbnail-t--items {
  flex-wrap: nowrap;
  overflow: hidden;
}

.page-top .block-thumbnail-t--items.slick-initialized {
  display: block;
  overflow: visible;
}

.block-thumbnail-t--item {
  display: block;
  flex-shrink: 0;
  position: relative;
  width: 100%;
  margin: 0;
  padding: 0;
  font-size: 1rem;
}

body:not(.page-top) .block-thumbnail-t--item {
  padding: 20px 0;
  border-bottom: 1px solid var(--cl-bdr);
}

body:not(.page-top) .block-thumbnail-t--item:first-child {
  border-top: 1px solid var(--cl-bdr);
}

.page-top .block-thumbnail-t--item {
  width: 148px;
  margin: 0 10px 0 0;
}

.page-top .block-thumbnail-t--item:first-child {
  width: 163px;
  padding-left: 15px;
}

.block-thumbnail-t--item > a {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  text-decoration: none;
}

.page-top .block-thumbnail-t--item > a {
  display: block;
}

.block-thumbnail-t--goods-image {
  position: relative;
  width: 148px;
  margin-bottom: 0;
}

.page-top .block-thumbnail-t--goods-image {
  width: 100%;
}

.block-thumbnail-t--goods-image figure {
  position: relative;
  width: 100%;
  min-width: 0;
  min-height: 0;
  padding: 0;
  border-radius: 6px;
  background: transparent;
  overflow: hidden;
  aspect-ratio: 1 / 1;
}

.block-thumbnail-t--goods-image figure::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 1px solid var(--cl-bdr);
  border-radius: 6px;
}

.block-thumbnail-t--goods-description {
  width: calc(100% - 158px);
  word-wrap: break-word;
}

.page-top .block-thumbnail-t--goods-description {
  width: 100%;
  margin-top: 12px;
}

.block-thumbnail-t--goods-image .block-icon {
  position: absolute;
  top: 1px;
  right: 10px;
}

.block-thumbnail-t--goods-name {
  margin-top: 8px;
  font-weight: 600;
}

.page-top .block-thumbnail-t--goods-name {
  margin-top: 6px;
}

.block-thumbnail-t--goods-description .block-goods-attr1 {
  margin-top: 6px;
  color: var(--cl-gy-3);
}

.block-thumbnail-t--comment {
  margin-top: 10px;
  font-size: 1.2rem;
  line-height: 1.83;
}

.page-top .block-thumbnail-t--comment {
  display: none;
}

.block-thumbnail-t--price-infos {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-end;
  margin-top: 4px;
}

.block-thumbnail-t--price-items {
  display: flex;
  flex-direction: column-reverse;
}

.block-thumbnail-t--price {
  font-size: 1.6rem;
  font-weight: 700;
}

.block-thumbnail-t--scomment + .block-thumbnail-t--price-items .block-thumbnail-t--price {
  color: var(--cl-rd);
}

.block-thumbnail-t--price::after {
  font-size: 1rem;
}

.block-thumbnail-t--default-price {
  margin-top: 2px;
}

.block-thumbnail-t--scomment {
  color: var(--cl-rd);
  font-weight: 700;
}

.block-thumbnail-t--btns {
  display: flex;
  justify-content: space-between;
  margin-top: 8px;
}

.page-top .block-thumbnail-t--btns {
  margin-top: 6px;
}

.block-thumbnail-t--add-cart {
  width: calc(100% - 50px);
}

.page-top .block-thumbnail-t--add-cart {
  width: calc(100% - 40px);
}

.block-thumbnail-t--add-cart a {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100%;
  height: 40px;
  border-radius: 4px;
  background-color: var(--cl-dbl);
  color: #ffffff;
  font-size: 1.4rem;
  font-weight: 600;
  text-align: center;
}

.page-top .block-thumbnail-t--add-cart a {
  height: 30px;
  font-size: 1rem;
}

.block-thumbnail-t--add-cart a::before {
  content: "";
  display: inline-block;
  position: relative;
  width: 14px;
  height: 14px;
  margin-right: 4px;
  background-image: var(--ico-cart);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.page-top .block-thumbnail-t--add-cart a::before {
  width: 11px;
  height: 11px;
}

.block-thumbnail-t--item .block-goods-list--favorite--btn,
.block-thumbnail-t--item .block-goods-list--favorite-registed--btn {
  position: relative;
  top: auto;
  right: auto;
  width: 40px;
  height: 40px;
  background-image: var(--fv-off);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.page-top .block-thumbnail-t--item .block-goods-list--favorite--btn,
.page-top .block-thumbnail-t--item .block-goods-list--favorite-registed--btn {
  width: 30px;
  height: 30px;
}

.block-thumbnail-t--item .block-goods-list--favorite-registed--btn {
  background-image: var(--fv-on);
}

.block-thumbnail-t .slick-arrow {
  position: absolute;
  top: 131px;
  width: 35px;
  height: 35px;
  border: none;
  background-color: transparent;
  background-image: var(--arw-slider);
  background-position: center;
  background-repeat: no-repeat;
  color: transparent;
  font-size: 0;
  cursor: pointer;
}

.block-thumbnail-t .slick-prev {
  display: none !important;
}

.block-thumbnail-t .slick-next {
  right: 28px;
  transform: rotate(180deg);
}

/* 詳細検索 */

.block-search-goods {
  margin-top: 30px;
  padding: 0 15px;
}

.block-search-goods--nav {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  margin-bottom: 40px;
}

.block-search-goods--allergy {
  width: 229px;
}

.block-search-goods--allergy-ttl {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 229px;
  height: 31px;
  border-radius: 4px;
  background-color: var(--cl-gy-2);
  color: var(--cl-dbl);
  font-size: 1.2rem;
  font-weight: 600;
  cursor: pointer;
  transition: border 0.15s;
}

.block-search-goods--allergy-ttl.is-open {
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}

.block-search-goods--allergy-ttl .icon-plus {
  display: block;
  position: absolute;
  top: 50%;
  right: 14px;
  width: 10px;
  height: 10px;
  margin-top: -5px;
}

.block-search-goods--allergy-ttl .icon-plus::before,
.block-search-goods--allergy-ttl .icon-plus::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 10px;
  height: 2px;
  margin: -1px 0 0 -5px;
  background-color: var(--cl-dbl);
}

.block-search-goods--allergy-ttl .icon-plus::after {
  transform: rotate(90deg);
  transition: transform 0.14s;
}

.block-search-goods--allergy-ttl.is-open .icon-plus::after {
  transform: rotate(0);
}

.block-search-goods--allergy-ttl::after {
  content: "";
  display: block;
  position: absolute;
  bottom: -11px;
  left: 0;
  width: 100%;
  height: 18px;
  background-color: var(--cl-gy-2);
  opacity: 0;
  transition: opacity 0.2s;
}

.block-search-goods--allergy-ttl.is-open::after {
  opacity: 1;
}

.block-search-goods--allergy-container {
  display: none;
  position: relative;
  width: calc(100vw - 30px);
  margin-top: 11px;
  padding: 20px 26px 30px;
  border-radius: 10px;
  border-top-left-radius: 0;
  background-color: var(--cl-gy-2);
}

.block-search-goods--allergy-container.is-open {
  display: block;
}

.block-search-goods--allergy-container .item-comment {
  margin-top: -3px;
  font-weight: 600;
  line-height: 1.71;
}

.block-search-goods--allergy-container .item-list {
  display: flex;
  flex-wrap: wrap;
  margin: 6px -4px 0 0;
}

.block-search-goods--allergy-container .item-list li {
  width: calc((100% - 16px) / 4);
  margin: 4px 4px 0 0;
}

.block-search-goods--allergy-container .item-list li.large {
  width: calc((100% - 16px) / 2 + 4px);
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] {
  display: none;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] + label {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 25px;
  margin: 0;
  padding: 0;
  border-radius: 6px;
  background-color: #ffffff;
  font-weight: 600;
  text-decoration: none;
  cursor: pointer;
  transition: 0.2s;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"]:checked + label {
  background-color: var(--cl-rd);
  color: #ffffff;
}

.block-search-goods--allergy-container .item-list input[type="checkbox"] + label::before {
  content: none;
}

.block-search-goods--allergy-container .item-annotation {
  margin-top: 12px;
  line-height: 1.71;
}

/* 並び替え */

.page-search .block-goods-list--sort-order-items {
  width: calc(100% - 236px);
}

.block-sort--header {
  display: none !important;
}

.block-sort--element {
  display: block;
}

.block-sort--select {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  width: 100%;
  height: auto;
  padding-left: 0;
}

.block-goods-list--sort-order-items-selectbox {
  height: 30px;
  padding-right: 30px;
  background-position: center right 12px;
  font-size: 1rem;
  font-weight: 600;
  text-align: right;
}

.block-search-goods--nav .block-goods-list--sort-order-items-selectbox {
  width: 100%;
}

.block-search-goods--condition-items {
  margin: 40px 0 0;
}

.block-search-goods .action-buttons {
  margin: 20px 0 0;
}
